# project cleanup

Clean resources associated with a specific project based on OpenStackSDK implementation

Block Storage v2, v3; Compute v2; Network v2; DNS v2; Orchestrate v1

## project cleanup

Clean resources associated with a project

    openstack project cleanup
        [--dry-run | --auto-approve]
        (--auth-project | --project <project>)
        [--created-before <YYYY-MM-DDTHH24:MI:SS>]
        [--updated-before <YYYY-MM-DDTHH24:MI:SS>]
        [--skip-resource <resource>]
        [--project-domain <project-domain>]

--dry-run

  List a project’s resources but do not delete them

--auto-approve

  Delete resources without asking for confirmation

--auth-project

  Delete resources of the project used to authenticate

--project <project>

  Project to clean (name or ID)

--created-before <YYYY-MM-DDTHH24:MI:SS>

  Only delete resources created before the given time

--updated-before <YYYY-MM-DDTHH24:MI:SS>

  Only delete resources updated before the given time

--skip-resource <resource>

  Skip cleanup of specific resource (repeat if necessary)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.